Index: /configuration/darwin.csh
===================================================================
--- /configuration/darwin.csh	(revision 18)
+++ /configuration/darwin.csh	(revision 19)
@@ -50,7 +50,7 @@
 alias svnStatus "svn status -u> ${TMP_PATH}/svnStatusFile;grep '^[M|C|U] ' ${TMP_PATH}/svnStatusFile > ${TMP_PATH}/modifsSVN;echo '-------------------------------------------------';echo 'svn status -u :';echo '-------------------------------------------------';more ${TMP_PATH}/modifsSVN;"
 
-alias SVN_Cp_HEPVis "setenv DIFF_PWD `pwd`;cd ~/Work/OpenScientist/v13r0/HEPVis/v6r5;rm -rf {$TMP_PATH};mkdir {$TMP_PATH};mkdir {$TMP_PATH}/HEPVis;cp -rf * {$TMP_PATH}/HEPVis/.; cd {$TMP_PATH}/HEPVis; rm -rf Dar*;find . -name '*~' -exec rm {} \;>${TMP_PATH}/rm_tmp; echo 'cleanup files ok'; find . -name 'CVS' -exec rm -rf {} \;>${TMP_PATH}/rm_tmp;echo 'cleanup cvs ok';cp -rf * ${MySVN_PATH}/LAL/OpenScientist/HEPVis/.;cd ${MySVN_PATH}/LAL/OpenScientist/HEPVis;svnStatus;cd {$DIFF_PWD};"
+alias SVN_Cp_HEPVis "cd ~/Work/OpenScientist/v13r0/HEPVis/v6r5;rm -rf {$TMP_PATH};mkdir {$TMP_PATH};mkdir {$TMP_PATH}/HEPVis;cp -rf * {$TMP_PATH}/HEPVis/.; cd {$TMP_PATH}/HEPVis; rm -rf Dar*;find . -name '*~' -exec rm {} \;>${TMP_PATH}/rm_tmp; echo 'cleanup files ok'; find . -name 'CVS' -exec rm -rf {} \;>${TMP_PATH}/rm_tmp;echo 'cleanup cvs ok';cp -rf * ${MySVN_PATH}/LAL/OpenScientist/HEPVis/.;cd ${MySVN_PATH}/LAL/OpenScientist/HEPVis;svnStatus;cd ${PWD};"
 
-alias SVN_Cp_ONX    "setenv DIFF_PWD `pwd`;cd ~/Work/OpenScientist/v13r0/OnX/v16r0;rm -rf {$TMP_PATH};mkdir {$TMP_PATH};mkdir {$TMP_PATH}/OnX;cp -rf * {$TMP_PATH}/OnX/.; cd {$TMP_PATH}/OnX; rm -rf Dar*;find . -name '*~' -exec rm {} \;>${TMP_PATH}/rm_tmp; echo 'cleanup files ok'; find . -name 'CVS' -exec rm -rf {} \;>${TMP_PATH}/rm_tmp;echo 'cleanup cvs ok';cp -rf * ${MySVN_PATH}/LAL/OpenScientist/OnX/.;cd ${MySVN_PATH}/LAL/OpenScientist/OnX;svnStatus;;cd {$DIFF_PWD};"
+alias SVN_Cp_ONX    "cd ~/Work/OpenScientist/v13r0/OnX/v16r0;rm -rf {$TMP_PATH};mkdir {$TMP_PATH};mkdir {$TMP_PATH}/OnX;cp -rf * {$TMP_PATH}/OnX/.; cd {$TMP_PATH}/OnX; rm -rf Dar*;find . -name '*~' -exec rm {} \;>${TMP_PATH}/rm_tmp; echo 'cleanup files ok'; find . -name 'CVS' -exec rm -rf {} \;>${TMP_PATH}/rm_tmp;echo 'cleanup cvs ok';cp -rf * ${MySVN_PATH}/LAL/OpenScientist/OnX/.;cd ${MySVN_PATH}/LAL/OpenScientist/OnX;svnStatus;;cd {$PWD};"
 
 alias SVN_Recover "cd /Users/Shared/ ; sudo svnadmin recover SVN ; sudo chmod -R o+w SVN"
Index: /configuration/scripts/cron_daily.csh
===================================================================
--- /configuration/scripts/cron_daily.csh	(revision 18)
+++ /configuration/scripts/cron_daily.csh	(revision 19)
@@ -13,6 +13,5 @@
 #ftp
 cd /Users/laurentgarnier/Work/To_CVS
-ftp -n nfsserv.lal.in2p3.fr<<!
-user garnier crehio21  
+ftp ftp.lal.in2p3.fr<<!
 bin
 cd Backup_mac
Index: /configuration/scripts/cron_daily2.csh
===================================================================
--- /configuration/scripts/cron_daily2.csh	(revision 18)
+++ /configuration/scripts/cron_daily2.csh	(revision 19)
@@ -39,6 +39,5 @@
 
 #ftp
-ftp -n nfsserv.lal.in2p3.fr<<!
-user garnier crehio21  
+ftp ftp.lal.in2p3.fr<<!
 bin
 cd Backup_mac
Index: /documents/logicielsNew.htm
===================================================================
--- /documents/logicielsNew.htm	(revision 18)
+++ /documents/logicielsNew.htm	(revision 19)
@@ -27,12 +27,5 @@
 		      <td>Interpr&eacute;teur C</td>
 		      <td>Christian Arnault</td>
-		      <td><font size="+2" color="green">OK</font>.</td>
-		    </tr>
-
-		    <tr>
-		      <td>CINT</td>
-		      <td>Interpr&eacute;teur C++</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font>..</td>
+		      <td><font color="green">OK</font>.</td>
 		    </tr>
 
@@ -41,5 +34,5 @@
 		      <td>Outils C++ g&eacute;n&eacute;raux pour la physique</td>
 		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A enlever 1.3 1.4 1.5 1.6.0.0 1.7.0.0 mais PAS 1.8.0.0 et 1.8.1.0.</font>..</td>
+		      <td><font color="green">1.8.0.0 et 1.8.1.0.</font>..</td>
 		    </tr>
 
@@ -48,5 +41,5 @@
 		      <td>Outil de gestion de communications TCP/IP</td>
 		      <td>Christian Arnault</td>
-		      <td><font size="+2" color="green">OK</font></td>
+		      <td><font color="green">OK</font></td>
 		    </tr>
 
@@ -55,12 +48,12 @@
 		      <td>Outil de gestion de configuration logicielle</td>
 		      <td>Christian Arnault</td>
-		      <td><font size="+2" color="green">OK</font>.</td>
-		    </tr>
-
-		    <tr>
-		      <td>Co</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red"> A reinstaller sous /lal/OPACS</font></td>
+		      <td><font color="green">OK</font>.</td>
+		    </tr>
+
+		    <tr>
+		      <td>Co,G3o,G4o,Glo,Go,Ho,HTMLo,Mo,omake,W3o,Wo,Xo,Xx,Xz</td>
+		      <td>??</td>
+		      <td>Guy Barrand</td>
+		      <td>lal/Opacs</td>
 		    </tr>
 
@@ -69,13 +62,7 @@
 		      <td>Gestion de collections en C/C++</td>
 		      <td>Christian Arnault</td>
-		      <td><font size="+2" color="green">OK</font>.</td>
-		    </tr>
-
-		    <tr>
-		      <td>DAWN</td>
-		      <td>Outil de pr&eacute;sentation graphique pour Geant4</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font>..</td>
-		    </tr>
+		      <td><font color="green">OK</font>.</td>
+		    </tr>
+
 
 		    <tr>
@@ -83,5 +70,5 @@
 		      <td>Outil de gestion de base de donn&eacute;es</td>
 		      <td>Christian Arnault</td>
-		      <td><font size="+2" color="green">OK</font>.</td>
+		      <td><font color="green">OK</font>.</td>
 		    </tr>
 
@@ -90,5 +77,5 @@
 		      <td>Outil de g&eacute;n&eacute;ration de docs pour C++, Corba et C</td>
 		      <td>Christian Arnault</td>
-		      <td>Install&eacute; seulement pour Linux <pre>csh&gt; source /lal/Doxygen/Linux/setup.csh</pre><pre>sh&gt; . /lal/Doxygen/Linux/setup.sh</pre><font size="+2" color="green">OK</font></td>
+		      <td>Install&eacute; seulement pour Linux <pre>csh&gt; source /lal/Doxygen/Linux/setup.csh</pre><pre>sh&gt; . /lal/Doxygen/Linux/setup.sh</pre><font color="green">OK</font></td>
 		    </tr>
 
@@ -101,15 +88,8 @@
 
 		    <tr>
-		      <td>expat</td>
-		      <td>Outils C pour XML</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font>...</td>
-		    </tr>
-
-		    <tr>
 		      <td><a href="http://www.freetype.org/">freetype</a></td>
 		      <td>??</td>
 		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="green">OK</font></td>
+		      <td><font color="green">OK</font></td>
 		    </tr>
 
@@ -122,29 +102,8 @@
 
 		    <tr>
-		      <td>G3o</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red"> A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>G4Lab</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>G4o</td>
-		      <td>??</td>
-		      <td>root</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
-
-		    <tr>
 		      <td><a href="http://www.lal.in2p3.fr/SI/Gb/Gb.html">Gb</a></td>
 		      <td>Gestion d'objets graphiques (C, C++)</td>
 		      <td>Christian Arnault</td>
-		      <td><font size="+2" color="green">OK</font>.</td>
+		      <td><font color="green">OK</font>.</td>
 		    </tr>
 
@@ -156,17 +115,4 @@
 		    </tr>
 
-		    <tr>
-		      <td>GLo</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font>.</td>
-		    </tr>
-
-		    <tr>
-		      <td>Go</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
 
 		    <tr>
@@ -181,56 +127,6 @@
 		      <td>Outil de description et de production de graphes</td>
 		      <td>Christian Arnault</td>
-		      <td>Install&eacute; seulement pour Linux <pre>csh&gt; source /lal/Grafviz/Linux/setup.csh</pre><pre>sh&gt; . /lal/Grafviz/Linux/setup.sh</pre><font size="+2" color="green">OK</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>gtk</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>gtkglarea</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a verifier, n'existe plus</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>HCL</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>HEPVis</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Ho</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>HTL</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>HTMLo</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
-
+		      <td>Install&eacute; seulement pour Linux <pre>csh&gt; source /lal/Grafviz/Linux/setup.csh</pre><pre>sh&gt; . /lal/Grafviz/Linux/setup.sh</pre><font color="green">OK</font></td>
+		    </tr>
 		    <tr>
 		      <td>insure</td>
@@ -240,31 +136,4 @@
 		    </tr>
 
-		    <tr>
-		      <td>Inventor</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">n'existe plus</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>JIV</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">n'existe plus</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>KUIP</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Lab</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
 
 		    <tr>
@@ -276,5 +145,5 @@
                        Utilisation de l'euro :
                     <a href="../documentation/euro-tex/symbeuro">eurosym</a>.
-                       <font size="+2" color="blue">N'est pas sous /lal</font>
+                       <font color="blue">N'est pas sous /lal</font>
                        </td>
 		    </tr>
@@ -285,18 +154,4 @@
 		      <td>Nicole Lhermitte</td>
 		      <td>.</td>
-		    </tr>
-
-		    <tr>
-		      <td>Lib</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>lri</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">n'existe plus</font></td>
 		    </tr>
 
@@ -305,5 +160,5 @@
 		      <td>Logiciel de calcul mathématiques</td>
 		      <td>René Bilhaut</td>
-		      <td><font size="+2" color="blue">N'est pas sous /lal</font></td>
+		      <td><font color="blue">N'est pas sous /lal</font></td>
 		    </tr>
 
@@ -312,5 +167,5 @@
 		      <td>??</td>
 		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red"> 3.0 3.1 a enlever mais on garde 3.2 pour lx1.</font></td>
+		      <td><font color="green">3.2 pour lx1.</font></td>
 		    </tr>
 
@@ -323,36 +178,7 @@
 l'initialiser puis "math" si utilisation ligne à ligne sinon "mathematica" si
  utilisation X.
-                    <font size="+2" color="blue">4.1 sous /lal, je crois que la 5.1 est payante mais il y a des licences??</font>
+                    <font color="blue">4.1 sous /lal, je crois que la 5.1 est payante mais il y a des licences??</font>
                       </td>
 		    </tr>
-
-		    <tr>
-		      <td><a href="http://www.lal.in2p3.fr/SI/methods/methods.html">methods</a></td>
-		      <td>Outil de gestion de configuration logicielle</td>
-		      <td>Christian Arnault</td>
-		      <td><font size="+2" color="red">A SUPPRIMER</font>.</td>
-		    </tr>
-
-		    <tr>
-		      <td>Midnight</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Minuit</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">n'existe plus</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Mo</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
-
 		    <tr>
 		      <td><a href="http://www-rocq.inria.fr/modulef">modulef</a></td>
@@ -361,17 +187,9 @@
 		      <td>.</td>
 		    </tr>
-
-		    <tr>
-		      <td>omake</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
-
 		    <tr>
 		      <td>OnX</td>
 		      <td>??</td>
 		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red"> A enlever (mais voir avec Antoine s'il l'utilise pour l'enseignement)</font></td>
+		      <td><font color="red"> A enlever (mais voir avec Antoine s'il l'utilise pour l'enseignement)</font></td>
 		    </tr>
 
@@ -380,12 +198,5 @@
 		      <td>??</td>
 		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="green">OK</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>OpenInventor</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">n'existe plus</font></td>
+		      <td><font color="green">OK</font></td>
 		    </tr>
 
@@ -394,5 +205,5 @@
 		      <td>Le projet OpenScientist</td>
 		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="green">OK</font></td>
+		      <td><font color="green">OK</font></td>
 		    </tr>
 
@@ -401,12 +212,5 @@
 		      <td>Le langage perl</td>
 		      <td>Bernard Perrot</td>
-		      <td><font size="+2" color="blue">pas tres a jour...</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>pigal</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
+		      <td><font color="blue">pas tres a jour...</font></td>
 		    </tr>
 
@@ -415,12 +219,5 @@
 		      <td>??</td>
 		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="green">OK</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>rd3</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer </font></td>
+		      <td><font color="green">OK</font></td>
 		    </tr>
 
@@ -432,47 +229,5 @@
 		      <td>Nicole Lhermitte</td>
 		      <td>Version Linux  3.04/02 - 18 Déc 2002<br>
-                          Pour l'utiliser, taper la commande : use root<font size="+2" color="green">OK</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Rio</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>RioGrande</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Riot</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>rogue</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Scientist</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Scl</td>
-		      <td>Gestion d'objets concurrents</td>
-		      <td>Christian Arnault</td>
-		      <td><font size="+2" color="red">A Supprimer</font>.</td>
+                          Pour l'utiliser, taper la commande : use root<font color="green">OK</font></td>
 		    </tr>
 
@@ -481,5 +236,5 @@
 		      <td>??</td>
 		      <td>Nicole Lhermitte</td>
-		      <td><font size="+2" color="blue">pas tres a jour...</font></td>
+		      <td><font color="blue">pas tres a jour...</font></td>
 		    </tr>
 
@@ -495,5 +250,5 @@
 		      <td>??</td>
 		      <td>Bernard Perrot</td>
-		      <td><font size="+2" color="blue">N'est pas sous /lal</font></td>
+		      <td><font color="blue">N'est pas sous /lal</font></td>
 		    </tr>
 
@@ -502,33 +257,5 @@
 		      <td>??</td>
 		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="green">OK</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>SoAwt</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td><a href="http://www.lal.in2p3.fr/Inventor/">SoFree</a></td>
-		      <td>Impl&eacute;mentation libre de OpenInventor</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>SoGtk</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>SoXaw</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">a supprimer dans 2 sem</font></td>
+		      <td><font color="green">OK</font></td>
 		    </tr>
 
@@ -553,19 +280,4 @@
 		      <td>.</td>
 		    </tr>
-
-		    <tr>
-		      <td>W3o</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Wo</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
-
 		    <tr>
 		      <td>www</td>
@@ -579,5 +291,5 @@
 		      <td>Outils C++ pout XML</td>
 		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="green">OK</font></td>
+		      <td><font color="green">OK</font></td>
 		    </tr>
 
@@ -586,25 +298,5 @@
 		      <td>Outils JAVA pour XML</td>
 		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="green">OK</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Xo</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
-
-		    <tr>
-		      <td>Xx</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
-		    </tr>
-		    <tr>
-		      <td>Xz</td>
-		      <td>??</td>
-		      <td>Guy Barrand</td>
-		      <td><font size="+2" color="red">A reinstaller sous /lal/OPACS</font></td>
+		      <td><font color="green">OK</font></td>
 		    </tr>
 
@@ -612,22 +304,11 @@
 		      <td>Et la série de ceux qui sont dans /lal sans etre dans la page des logiciels</td>
 		      <td><ul>
-<li>aft
-<li>AIDA <font size="+2" color="red">a enlever</font>
 <li>ant
 <li>CERN -a garder
-<li>CoinGL <font size="+2" color="red">a enlever</font>
-<li>CoinGtk <font size="+2" color="red">a enlever</font>
-<li>Coin_Inventor <font size="+2" color="red">a enlever</font>
-<li>CoinQt <font size="+2" color="red">a enlever</font>
-<li>CoinWin <font size="+2" color="red">a enlever</font>
-<li>CoinXt <font size="+2" color="red">a enlever</font>
 <li>CS
 <li>eGenix
-<li>Falsetto <font size="+2" color="red">a enlever</font>
 <li>gen
-<li>glib <font size="+2" color="green">a garder</font>
-<li>HotJava
+<li>glib <font color="green">a garder</font>
 <li>initenv
-<li>Interfaces <font size="+2" color="red">a enlever</font>
 <li>JDK
 <li>lists
@@ -635,24 +316,15 @@
 <li>mail
 <li>mathLab
-<li>netdb <font size="+2" color="red">a enlever</font>
-<li>OpenScientistPolicy <font size="+2" color="red">a enlever</font>
 <li>otr
-<li>pbmplus
-<li>.pgp
-<li>Python <font size="+2" color="green">a garder</font>
-<li>Qt <font size="+2" color="green">a garder</font>
-<li>rtk <font size="+2" color="red">a enlever</font>
-<li>.scrty
+<li>Python <font color="green">a garder</font>
+<li>Qt <font color="green">a garder</font>
 <li>SGI_Inventor - a reinstaller car on ne sais pas la plate forme
-<li>Stp
 <li>sudo
-<li>TGS_Inventor <font size="+2" color="green">a garder</font>
+<li>TGS_Inventor <font color="green">a garder</font>
 <li>virgo
-<li>vnc
 <li>Web
-<li>wincenter
 <li>Xerces-J
-<li>XoGraph
-<li>ZoDB
+<li>XoGraph<font color="red">mis dans old pour l'instant mais a mettre dans OPACS je pense</font>
+<li>ZODB
 </td>
 		      <td></td>
@@ -666,5 +338,5 @@
 <!-- Created: Tue Feb 15 10:19:42 CET 2005 -->
 <!-- hhmts start -->
-Last modified: Thu Mar 10 11:54:41 CET 2005
+Last modified: Thu Mar 10 17:14:42 CET 2005
 <!-- hhmts end -->
   </body>