Index: trunk/geant4/config/G4UI_BUILD.gmk
===================================================================
--- trunk/geant4/config/G4UI_BUILD.gmk	(revision 473)
+++ trunk/geant4/config/G4UI_BUILD.gmk	(revision 483)
@@ -38,11 +38,4 @@
 endif
 
-ifdef G4UI_BUILD_QT_SESSION
-  G4UI_BUILD = 1
-  G4UI_BUILD_BASIC_SESSION = 1
-  G4INTY_BUILD_QT = 1
-  CPPFLAGS += -DG4UI_BUILD_QT_SESSION
-endif
-
 ########################### interfaces/XVT - not currently implemented #####
 
@@ -63,8 +56,4 @@
    endif
 
-   ifdef G4UI_BUILD_QT_SESSION
-     G4UI_USE_QT = 1
-   endif
-
   include $(G4INSTALL)/config/G4UI_USE.gmk
 
Index: trunk/geant4/config/G4UI_USE.gmk
===================================================================
--- trunk/geant4/config/G4UI_USE.gmk	(revision 473)
+++ trunk/geant4/config/G4UI_USE.gmk	(revision 483)
@@ -73,10 +73,4 @@
 endif
 
-ifdef G4UI_USE_QT
-  G4UI_USE  = 1
-  G4INTY_USE_QT = 1
-  CPPFLAGS    += -DG4UI_USE_QT
-endif
-
 ########################### interfaces/XVT - not currently implemented #####
 
Index: trunk/geant4/config/G4VIS_BUILD.gmk
===================================================================
--- trunk/geant4/config/G4VIS_BUILD.gmk	(revision 473)
+++ trunk/geant4/config/G4VIS_BUILD.gmk	(revision 483)
@@ -40,9 +40,4 @@
   CPPFLAGS += -DG4VIS_BUILD_OPENGLWIN32_DRIVER
 endif
-ifdef G4VIS_BUILD_OPENGLQT_DRIVER
-  G4VIS_BUILD_OPENGL_DRIVER = 1
-  G4INTY_BUILD_QT = 1
-  CPPFLAGS += -DG4VIS_BUILD_OPENGLQT_DRIVER
-endif
 ifdef G4VIS_BUILD_OPENGL_DRIVER
   INC_GL      = 1
@@ -59,9 +54,4 @@
   G4INTY_BUILD_WIN32  = 1
   CPPFLAGS += -DG4VIS_BUILD_OIWIN32_DRIVER
-endif
-ifdef G4VIS_BUILD_OIQT_DRIVER
-  G4VIS_BUILD_OI_DRIVER = 1
-  G4INTY_BUILD_QT  = 1
-  CPPFLAGS += -DG4VIS_BUILD_OIQT_DRIVER
 endif
 ifdef G4VIS_BUILD_OI_DRIVER
@@ -93,8 +83,4 @@
   endif
 
-  ifdef G4VIS_BUILD_OPENGLQT_DRIVER
-    G4VIS_USE_OPENGLQT = 1
-  endif
-
   ifdef G4VIS_BUILD_OPENGLXM_DRIVER
     G4VIS_USE_OPENGLXM = 1
@@ -111,8 +97,4 @@
   ifdef G4VIS_BUILD_OIWIN32_DRIVER
     G4VIS_USE_OIWIN32 = 1
-  endif
-
-  ifdef G4VIS_BUILD_OIQT_DRIVER
-    G4VIS_USE_OIQT = 1
   endif
 
Index: trunk/geant4/config/G4VIS_USE.gmk
===================================================================
--- trunk/geant4/config/G4VIS_USE.gmk	(revision 473)
+++ trunk/geant4/config/G4VIS_USE.gmk	(revision 483)
@@ -61,8 +61,4 @@
   CPPFLAGS += -DG4VIS_USE_OPENGLWIN32
 endif
-ifdef G4VIS_USE_OPENGLQT
-  G4VIS_USE_OPENGL = 1
-  CPPFLAGS += -DG4VIS_USE_OPENGLQT
-endif
 ifdef G4VIS_USE_OPENGL
   CPPFLAGS += -DG4VIS_USE_OPENGL
@@ -84,8 +80,4 @@
   G4VIS_USE_OI = 1
   CPPFLAGS += -DG4VIS_USE_OIWIN32
-endif
-ifdef G4VIS_USE_OIQT
-  G4VIS_USE_OI = 1
-  CPPFLAGS += -DG4VIS_USE_OIQT
 endif
 ifdef G4VIS_USE_OI
Index: trunk/geant4/config/History
===================================================================
--- trunk/geant4/config/History	(revision 473)
+++ trunk/geant4/config/History	(revision 483)
@@ -1,3 +1,3 @@
-$Id: History,v 1.278 2006/06/13 15:37:35 gcosmo Exp $
+$Id: History,v 1.288 2006/11/30 15:47:16 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -16,4 +16,35 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+3rd November 2006  Gunter Folger (config-V08-01-07)
+- architecture.gmk: added G4LIB_BUILD_LISTS with default value 1 to build physics lists.
+- binmake.gmk: added physics lists include directories to INCFLAGS.
+
+15th October 2006  Makoto Asai (config-V08-01-06)
+- binmake.gmk: added 'processes/scoring' module.
+
+10th October 2006  Gabriele Cosmo (config-V08-01-05)
+- Darwin-g++.gmk: use standard -echo- command.
+  Removed ECHO overloaded variable.
+
+5th October 2006  Gabriele Cosmo (config-V08-01-04)
+- liblist.c: added .dylib search for list of libraries.
+  Addressing problem report #885.
+
+3rd October 2006  Gabriele Cosmo (config-V08-01-03)
+- architecture.gmk: added variables for commands: echo, cat, cut, sed;
+  to be eventually overloaded in system dependent configurations.
+- WIN32-VC.gmk: overload commands [echo, grep, cat, cut, sed], to force
+  usage of the original CygWin built-in commands.
+
+21st September 2006  Vladimir Ivantchenko (config-V08-01-02)
+- binmake.gmk: added electromagnetic/polarisation module.
+
+18th August 2006  Gabriele Cosmo (config-V08-01-01)
+- Linux-icc: corrected G4RUNPATHOPTION flag to allow linking of applications
+  with shared libraries.
+
+18th August 2006  Gabriele Cosmo (config-V08-01-00)
+- Linux-icc: updated setup to support icc-9.X series.
 
 13th June 2006  Gabriele Cosmo (config-V08-00-02)
Index: trunk/geant4/config/architecture.gmk
===================================================================
--- trunk/geant4/config/architecture.gmk	(revision 473)
+++ trunk/geant4/config/architecture.gmk	(revision 483)
@@ -1,3 +1,3 @@
-# $Id: architecture.gmk,v 1.105 2006/06/13 15:36:30 gcosmo Exp $
+# $Id: architecture.gmk,v 1.107 2006/10/31 11:35:43 gunter Exp $
 # ------------------------------------------------------------------------
 #       GEANT 4 - Architecture configuration script for GNU Make
@@ -111,4 +111,10 @@
   G4LIB_BUILD_ZLIB = 1
   G4LIB_USE_ZLIB = 1
+endif
+
+# Allow to disable building of physics_lists module. Default is to build these
+#
+ifneq ($(G4LIB_BUILD_LISTS),NO)
+  G4LIB_BUILD_LISTS = 1
 endif
 
@@ -268,11 +274,23 @@
 AR := ar r
 
-# Default echo used with makedepend. Changed for SUN-CC, Linux-g++.
+# Default echo used with makedepend. Changed for SUN-CC, Linux-g++, WIN32.
 #
 ECHO:= echo
 
-# Default grep used with source/GNUmakfile.  Changed for SUN-CC.
+# Default grep used with source/GNUmakefile.  Changed for SUN-CC.
 #
 GREP := grep
+
+# Default cut used with source/GNUmakefile.  Changed for WIN32.
+#
+CUT := cut
+
+# Default cat used with source/GNUmakefile.  Changed for WIN32.
+#
+CAT := cat
+
+# Default sed used with source/GNUmakefile.  Changed for WIN32.
+#
+SED := sed
 
 # Include architecture dependent setups...
Index: trunk/geant4/config/binmake.gmk
===================================================================
--- trunk/geant4/config/binmake.gmk	(revision 473)
+++ trunk/geant4/config/binmake.gmk	(revision 483)
@@ -1,3 +1,3 @@
-# $Id: binmake.gmk,v 1.112 2006/04/24 10:54:18 gcosmo Exp $
+# $Id: binmake.gmk,v 1.116 2006/11/08 16:52:19 gunter Exp $
 # ----------------------------------------------------------
 # Script defining rules and paths for making binaries.
@@ -61,6 +61,9 @@
               -I$(G4BASE)/particles/hadrons/mesons/include \
               -I$(G4BASE)/particles/shortlived/include \
+	      -I$(G4BASE)/physics_lists/lists/include \
+	      -I$(G4BASE)/physics_lists/builders/include \
               -I$(G4BASE)/processes/management/include \
               -I$(G4BASE)/processes/cuts/include \
+              -I$(G4BASE)/processes/scoring/include \
               -I$(G4BASE)/processes/decay/include \
               -I$(G4BASE)/processes/optical/include \
@@ -73,4 +76,5 @@
               -I$(G4BASE)/processes/electromagnetic/lowenergy/include \
               -I$(G4BASE)/processes/electromagnetic/highenergy/include \
+              -I$(G4BASE)/processes/electromagnetic/polarisation/include \
               -I$(G4BASE)/processes/hadronic/cross_sections/include \
 	      -I$(G4BASE)/processes/hadronic/management/include \
@@ -203,6 +207,11 @@
   endif
 
-  LDLIBS2 += -lG4readout \
-             -lG4run \
+  LDLIBS2 += -lG4readout
+
+  ifeq ($(G4LIB_BUILD_LISTS),1)
+    LDLIBS2 += -lG4physicslists
+  endif
+    
+  LDLIBS2 += -lG4run \
              -lG4event \
              -lG4tracking \
Index: trunk/geant4/config/liblist.c
===================================================================
--- trunk/geant4/config/liblist.c	(revision 473)
+++ trunk/geant4/config/liblist.c	(revision 483)
@@ -1,3 +1,3 @@
-/* $Id: liblist.c,v 1.17 2002/11/22 11:53:10 gcosmo Exp $ */
+/* $Id: liblist.c,v 1.18 2006/10/05 14:22:06 gcosmo Exp $ */
 
 /*
@@ -550,4 +550,12 @@
             printf("-l%s ",libmapPtr->lib);
 	  }
+          else  /* case MacOS .dylib */
+          {
+	    sprintf(libname, "%s/lib%s.dylib", libpath, libmapPtr->lib);
+            if (!access(libname,R_OK))
+	    {
+              printf("-l%s ",libmapPtr->lib);
+	    }
+          }
 	}
         else
Index: trunk/geant4/config/scripts/env.csh.SH
===================================================================
--- trunk/geant4/config/scripts/env.csh.SH	(revision 473)
+++ trunk/geant4/config/scripts/env.csh.SH	(revision 483)
@@ -25,4 +25,59 @@
 ######################################
 #
+# Clean all G4 envs
+unsetenv  CLHEP_BASE_DIR
+unsetenv  CLHEP_INCLUDE_DIR
+unsetenv  CLHEP_LIB
+unsetenv  CLHEP_LIB_DIR
+
+unsetenv  G4ANALYSIS_USE
+unsetenv  G4DEBUG
+unsetenv  G4INCLUDE
+unsetenv  G4INSTALL
+
+unsetenv  G4LEDATA
+unsetenv  G4LEVELGAMMADATA
+unsetenv  NeutronHPCrossSections
+unsetenv  G4RADIOACTIVEDATA
+
+unsetenv  G4LIB
+unsetenv  G4LIB_BUILD_G3TOG4
+unsetenv  G4LIB_BUILD_SHARED
+unsetenv  G4LIB_BUILD_STATIC
+unsetenv  G4LIB_BUILD_ZLIB
+unsetenv  G4LIB_USE_G3TOG4
+unsetenv  G4LIB_USE_GRANULAR
+unsetenv  G4LIB_USE_ZLIB
+
+unsetenv  G4SYSTEM
+
+unsetenv  G4UI_BUILD_WIN32_SESSION
+unsetenv  G4UI_BUILD_XAW_SESSION
+unsetenv  G4UI_BUILD_XM_SESSION
+unsetenv  G4UI_USE_TCSH
+unsetenv  G4UI_USE_WIN32
+unsetenv  G4UI_USE_XAW
+unsetenv  G4UI_USE_XM
+
+unsetenv  G4VIS_BUILD_DAWN_DRIVER
+unsetenv  G4VIS_BUILD_OIWIN32_DRIVER
+unsetenv  G4VIS_BUILD_OIX_DRIVER
+unsetenv  G4VIS_BUILD_OPENGLWIN32_DRIVER
+unsetenv  G4VIS_BUILD_OPENGLXM_DRIVER
+unsetenv  G4VIS_BUILD_OPENGLX_DRIVER
+unsetenv  G4VIS_BUILD_RAYTRACERX_DRIVER
+unsetenv  G4VIS_BUILD_VRML_DRIVER
+
+unsetenv  G4VIS_USE_DAWN
+unsetenv  G4VIS_USE_OIWIN32
+unsetenv  G4VIS_USE_OIX
+unsetenv  G4VIS_USE_OPENGLWIN32
+unsetenv  G4VIS_USE_OPENGLX
+unsetenv  G4VIS_USE_OPENGLXM
+unsetenv  G4VIS_USE_RAYTRACERX
+unsetenv  G4VIS_USE_VRML
+
+######################################
+#
 # g4system.U
 #
@@ -91,8 +146,8 @@
 
 #+
-if ( X$g4elasticdata != X ) then
-setenv G4ELASTICDATA "$g4elasticdata"
-echo "On this machine the G4ELASTICDATA=\$G4ELASTICDATA"
-endif
+#if ( X$g4elasticdata != X ) then
+#setenv G4ELASTICDATA "$g4elasticdata"
+#echo "On this machine the G4ELASTICDATA=\$G4ELASTICDATA"
+#endif
 
 #
@@ -126,6 +181,6 @@
 # g4debug
 #
-if ( X$g4debug != X ) then
-setenv G4DEBUG "$g4debug"
+if ( X$g4debug == Xy ) then
+setenv G4DEBUG 1
 echo "On this machine the G4DEBUG=\$G4DEBUG"
 endif
@@ -417,9 +472,42 @@
 #
 if ( ${?G4LIB_BUILD_SHARED} ) then
+
+#
+# Warning about LD_LIBRARY_PATH
+#
+echo ''
+echo 'LD_LIBRARY_PATH is set to include CLHEP and Geant4 libraries. '
+echo ''
+echo 'NOTE : verify that the correct path for the CLHEP library'
+echo '- $CLHEP_BASE_DIR/lib - is included in the $LD_LIBRARY_PATH'
+echo 'variable in your environment, and no other outdated installations'
+echo 'of CLHEP are by chance referenced through $LD_LIBRARY_PATH and'
+echo 'present in your system !'
+echo ''
+
 if ( ${?LD_LIBRARY_PATH} )  then
 setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${G4LIB}/${G4SYSTEM}
+setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
 else
 setenv LD_LIBRARY_PATH ${G4LIB}/${G4SYSTEM}
-endif
+setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+endif
+endif
+
+#
+# Shared libraries for Mac
+#
+if ( "X$G4SYSTEM" == "XDarwin-g++" ) then
+
+if ( ${?G4LIB_BUILD_SHARED} ) then
+if ( ${?DYLD_LIBRARY_PATH} )  then
+setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:${G4LIB}/${G4SYSTEM}
+setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+else
+setenv DYLD_LIBRARY_PATH ${G4LIB}/${G4SYSTEM}
+setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+endif
+endif
+
 endif
 
Index: trunk/geant4/config/scripts/env.sh.SH
===================================================================
--- trunk/geant4/config/scripts/env.sh.SH	(revision 473)
+++ trunk/geant4/config/scripts/env.sh.SH	(revision 483)
@@ -25,4 +25,59 @@
 ######################################
 #
+# Clean all G4 envs
+unset  CLHEP_BASE_DIR
+unset  CLHEP_INCLUDE_DIR
+unset  CLHEP_LIB
+unset  CLHEP_LIB_DIR
+
+unset  G4ANALYSIS_USE
+unset  G4DEBUG
+unset  G4INCLUDE
+unset  G4INSTALL
+
+unset  G4LEDATA
+unset  G4LEVELGAMMADATA
+unset  NeutronHPCrossSections
+unset  G4RADIOACTIVEDATA
+
+unset  G4LIB
+unset  G4LIB_BUILD_G3TOG4
+unset  G4LIB_BUILD_SHARED
+unset  G4LIB_BUILD_STATIC
+unset  G4LIB_BUILD_ZLIB
+unset  G4LIB_USE_G3TOG4
+unset  G4LIB_USE_GRANULAR
+unset  G4LIB_USE_ZLIB
+
+unset  G4SYSTEM
+
+unset  G4UI_BUILD_WIN32_SESSION
+unset  G4UI_BUILD_XAW_SESSION
+unset  G4UI_BUILD_XM_SESSION
+unset  G4UI_USE_TCSH
+unset  G4UI_USE_WIN32
+unset  G4UI_USE_XAW
+unset  G4UI_USE_XM
+
+unset  G4VIS_BUILD_DAWN_DRIVER
+unset  G4VIS_BUILD_OIWIN32_DRIVER
+unset  G4VIS_BUILD_OIX_DRIVER
+unset  G4VIS_BUILD_OPENGLWIN32_DRIVER
+unset  G4VIS_BUILD_OPENGLXM_DRIVER
+unset  G4VIS_BUILD_OPENGLX_DRIVER
+unset  G4VIS_BUILD_RAYTRACERX_DRIVER
+unset  G4VIS_BUILD_VRML_DRIVER
+
+unset  G4VIS_USE_DAWN
+unset  G4VIS_USE_OIWIN32
+unset  G4VIS_USE_OIX
+unset  G4VIS_USE_OPENGLWIN32
+unset  G4VIS_USE_OPENGLX
+unset  G4VIS_USE_OPENGLXM
+unset  G4VIS_USE_RAYTRACERX
+unset  G4VIS_USE_VRML
+
+
+#
 # g4system.U
 #
@@ -117,11 +172,11 @@
 
 #+
-if [ X$g4elasticdata != X ] ; then 
-G4ELASTICDATA="$g4elasticdata"
-export G4ELASTICDATA
-if [ X\$g4non_display = X ] ; then
-echo "On this machine the G4ELASTICDATA=\$G4ELASTICDATA"
-fi
-fi
+#if [ X$g4elasticdata != X ] ; then 
+#G4ELASTICDATA="$g4elasticdata"
+#export G4ELASTICDATA
+#if [ X\$g4non_display = X ] ; then
+#echo "On this machine the G4ELASTICDATA=\$G4ELASTICDATA"
+#fi
+#fi
 
 #
@@ -167,6 +222,6 @@
 # g4debug
 #
-if [ X$g4debug != X ] ; then 
-G4DEBUG="$g4debug"
+if [ X$g4debug = Xy ] ; then 
+G4DEBUG=1
 export G4DEBUG
 if [ X\$g4non_display = X ] ; then
@@ -490,5 +545,7 @@
 G4LIB_BUILD_ZLIB=1
 export G4LIB_BUILD_ZLIB
+if [ X\$g4non_display = X ] ; then
 echo "On this machine the G4LIB_BUILD_ZLIB=\$G4LIB_BUILD_ZLIB"
+fi
 fi 
 
@@ -496,5 +553,7 @@
 G4LIB_USE_ZLIB=1
 export G4LIB_USE_ZLIB
+if [ X\$g4non_display = X ] ; then
 echo "On this machine the G4LIB_USE_ZLIB=\$G4LIB_USE_ZLIB"
+fi
 fi 
 
@@ -561,14 +620,15 @@
 if [ X$g4non_display = X ] ; then
 echo "In your environment you have the G4WORKDIR=$G4WORKDIR"
-fi # if non_display
+fi
 
 else
-
-if [ X$g4non_display = X ] ; then
 
 # Check for Windows!
 if test "X$G4SYSTEM" = "XWIN32-VC" -o "X$G4SYSTEM" = "XWIN32-VC7"; then
 
+if [ X$g4non_display = X ] ; then
 echo "G4WORKDIR will be set to c:/geant4 (in "native" Windows syntax)"
+fi
+
 G4WORKDIR="c:/geant4"
 export G4WORKDIR
@@ -576,6 +636,10 @@
 else # if Unix
 
+if [ X$g4non_display = X ] ; then
 echo "G4WORKDIR will be set to HOME/geant4=$HOME/geant4"
-export G4WORKDIR=$HOME/geant4
+fi
+
+G4WORKDIR=$HOME/geant4
+export G4WORKDIR
 
 fi # if platforms
@@ -583,5 +647,6 @@
 fi
 
-fi
+
+
 
 #
@@ -589,11 +654,47 @@
 #
 if [ $G4LIB_BUILD_SHARED ] ; then
+#
+# Warning about LD_LIBRARY_PATH
+#
+if [ X$g4non_display = X ] ; then
+echo ''
+echo 'LD_LIBRARY_PATH is set to include CLHEP and Geant4 libraries. '
+echo ''
+echo 'NOTE : verify that the correct path for the CLHEP library'
+echo '- $CLHEP_BASE_DIR/lib - is included in the $LD_LIBRARY_PATH'
+echo 'variable in your environment, and no other outdated installations'
+echo 'of CLHEP are by chance referenced through $LD_LIBRARY_PATH and'
+echo 'present in your system !'
+echo ''
+fi
+
 if [ $LD_LIBRARY_PATH ] ; then
 LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${G4LIB}/${G4SYSTEM}
+LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
 export LD_LIBRARY_PATH
 else
 LD_LIBRARY_PATH=${G4LIB}/${G4SYSTEM}
+LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
 export LD_LIBRARY_PATH
 fi
+fi
+
+#
+# Shared libraries for Mac
+#
+if test "X$G4SYSTEM" = "XDarwin-g++" ; then
+
+if [ $G4LIB_BUILD_SHARED ] ; then
+if [ $DYLD_LIBRARY_PATH ] ; then
+DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${G4LIB}/${G4SYSTEM}
+DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+export DYLD_LIBRARY_PATH
+else
+DYLD_LIBRARY_PATH=${G4LIB}/${G4SYSTEM}
+DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+export DYLD_LIBRARY_PATH
+fi
+fi
+
 fi
 
Index: trunk/geant4/config/scripts/install.sh.SH
===================================================================
--- trunk/geant4/config/scripts/install.sh.SH	(revision 473)
+++ trunk/geant4/config/scripts/install.sh.SH	(revision 483)
@@ -25,4 +25,59 @@
 ######################################
 #
+# Clean all G4 envs
+unset  CLHEP_BASE_DIR
+unset  CLHEP_INCLUDE_DIR
+unset  CLHEP_LIB
+unset  CLHEP_LIB_DIR
+
+unset  G4ANALYSIS_USE
+unset  G4DEBUG
+unset  G4INCLUDE
+unset  G4INSTALL
+
+unset  G4LEDATA
+unset  G4LEVELGAMMADATA
+unset  NeutronHPCrossSections
+unset  G4RADIOACTIVEDATA
+
+unset  G4LIB
+unset  G4LIB_BUILD_G3TOG4
+unset  G4LIB_BUILD_SHARED
+unset  G4LIB_BUILD_STATIC
+unset  G4LIB_BUILD_ZLIB
+unset  G4LIB_USE_G3TOG4
+unset  G4LIB_USE_GRANULAR
+unset  G4LIB_USE_ZLIB
+
+unset  G4SYSTEM
+
+unset  G4UI_BUILD_WIN32_SESSION
+unset  G4UI_BUILD_XAW_SESSION
+unset  G4UI_BUILD_XM_SESSION
+unset  G4UI_USE_TCSH
+unset  G4UI_USE_WIN32
+unset  G4UI_USE_XAW
+unset  G4UI_USE_XM
+
+unset  G4VIS_BUILD_DAWN_DRIVER
+unset  G4VIS_BUILD_OIWIN32_DRIVER
+unset  G4VIS_BUILD_OIX_DRIVER
+unset  G4VIS_BUILD_OPENGLWIN32_DRIVER
+unset  G4VIS_BUILD_OPENGLXM_DRIVER
+unset  G4VIS_BUILD_OPENGLX_DRIVER
+unset  G4VIS_BUILD_RAYTRACERX_DRIVER
+unset  G4VIS_BUILD_VRML_DRIVER
+
+unset  G4VIS_USE_DAWN
+unset  G4VIS_USE_OIWIN32
+unset  G4VIS_USE_OIX
+unset  G4VIS_USE_OPENGLWIN32
+unset  G4VIS_USE_OPENGLX
+unset  G4VIS_USE_OPENGLXM
+unset  G4VIS_USE_RAYTRACERX
+unset  G4VIS_USE_VRML
+
+######################################
+#
 # g4system.U
 #
@@ -96,9 +151,9 @@
 
 #+
-if [ X$g4elasticdata != X ] ; then 
-G4ELASTICDATA="$g4elasticdata"
-export G4ELASTICDATA
-echo "On this machine the G4ELASTICDATA=\$g4elasticdata"
-fi
+#if [ X$g4elasticdata != X ] ; then 
+#G4ELASTICDATA="$g4elasticdata"
+#export G4ELASTICDATA
+#echo "On this machine the G4ELASTICDATA=\$g4elasticdata"
+#fi
 
 #
@@ -142,6 +197,6 @@
 # g4debug
 #
-if [ X$g4debug != X ] ; then 
-G4DEBUG="$g4debug"
+if [ X$g4debug = Xy ] ; then 
+G4DEBUG=1
 export G4DEBUG
 echo "On this machine the G4DEBUG=\$G4DEBUG"
Index: trunk/geant4/config/scripts/move.sh.SH
===================================================================
--- trunk/geant4/config/scripts/move.sh.SH	(revision 473)
+++ trunk/geant4/config/scripts/move.sh.SH	(revision 483)
@@ -96,9 +96,9 @@
 
 #+
-if [ X$g4elasticdata != X ] ; then 
-G4ELASTICDATA="$g4elasticdata"
-export G4ELASTICDATA
-echo "On this machine the G4ELASTICDATA=\$G4ELASTICDATA"
-fi
+#if [ X$g4elasticdata != X ] ; then 
+#G4ELASTICDATA="$g4elasticdata"
+#export G4ELASTICDATA
+#echo "On this machine the G4ELASTICDATA=\$G4ELASTICDATA"
+#fi
 
 #
@@ -136,6 +136,6 @@
 # g4debug
 #
-if [ X$g4debug != X ] ; then 
-G4DEBUG="$g4debug"
+if [ X$g4debug = Xy ] ; then 
+G4DEBUG=1
 export G4DEBUG
 echo "On this machine the G4DEBUG=\$G4DEBUG"
Index: trunk/geant4/config/sys/Darwin-g++.gmk
===================================================================
--- trunk/geant4/config/sys/Darwin-g++.gmk	(revision 473)
+++ trunk/geant4/config/sys/Darwin-g++.gmk	(revision 483)
@@ -32,5 +32,4 @@
   LDFLAGS += -bind_at_load
   FCLIBS := -lg2c -lnsl
-  ECHO    := /bin/echo -n
   SHEXT   := dylib
   ifndef X11FLAGS
Index: trunk/geant4/config/sys/Linux-icc.gmk
===================================================================
--- trunk/geant4/config/sys/Linux-icc.gmk	(revision 473)
+++ trunk/geant4/config/sys/Linux-icc.gmk	(revision 483)
@@ -1,12 +1,12 @@
 #
-# ------ GNU/LINUX ------     !!! not supported !!!
-#                                 Intel icc 8.0
+# ------ GNU/LINUX ------         Intel icc 9.1
+#
 ifeq ($(G4SYSTEM),Linux-icc)
   CXX       := icc
   CXXFLAGS  := -ansi -mp -no-gcc -w1
   ifdef G4OPTIMISE
-    CXXFLAGS  += -O
-    FCFLAGS   := -O
-    CCFLAGS   := -O
+    CXXFLAGS  += -O2
+    FCFLAGS   := -O2
+    CCFLAGS   := -O2
   else
     ifdef G4DEBUG
@@ -26,10 +26,10 @@
     CCFLAGS   += -fPIC
   endif
-  G4RUNPATHOPTION := -Xlinker -rpath 
+  G4RUNPATHOPTION := -Wl,-rpath -Wl,
   CC := gcc
   FC := g77
   FCFLAGS += -fno-automatic -fno-backslash -fno-second-underscore
   FCLIBS := -lg2c -lnsl
-  AR := xiar r
+  AR := ar r
   ECHO    := /bin/echo -e
   SHEXT   := so
@@ -53,4 +53,5 @@
   endif
   DLDLIBS   := -ldl
+  LOADLIBS  += -lcxa -lunwind
   ifndef OGLFLAGS
     OGLFLAGS  := -I$(OGLHOME)/include 
Index: trunk/geant4/config/sys/WIN32-VC.gmk
===================================================================
--- trunk/geant4/config/sys/WIN32-VC.gmk	(revision 473)
+++ trunk/geant4/config/sys/WIN32-VC.gmk	(revision 483)
@@ -1,4 +1,4 @@
 #
-# ------ WIN32/VC ------    Visual-C++ 7 .NET
+# ------ WIN32/VC ------    Visual-C++ 7 .NET and higher
 #
 ifeq ($(G4SYSTEM),WIN32-VC)
@@ -18,5 +18,10 @@
   SHEXT := dll
   AR := LIB
-  ECHO := echo -e
+  ECHO := /usr/bin/echo -e
+  GREP := /usr/bin/grep
+  SED  := /usr/bin/sed
+  CAT  := /usr/bin/cat
+  CUT  := /usr/bin/cut
+
   FC := g77
 #  FCLIBS := -lf2c
@@ -58,12 +63,12 @@
     @libdir=`(cd $(@D);/bin/pwd)`;\
     cd $(G4TMP)/$(G4SYSTEM);\
-    echo "Building $(name).dumpbin file ...";\
+    $(ECHO) "Building $(name).dumpbin file ...";\
     $(RM) $(name).dumpbin;\
     dumpbin /symbols $(G4LIBDIR)/lib$(name).a > $(name).dumpbin;\
-    echo "Building $(name).def file ...";\
+    $(ECHO) "Building $(name).def file ...";\
     $(RM) $(name).def;\
     $(G4LIB)/$(G4SYSTEM)/win32def.exe $(name) < $(name).dumpbin > $(name).def;\
     $(RM) $(name).dumpbin;\
-    echo "Building lib$(name).exp and lib$(name).lib file ...";\
+    $(ECHO) "Building lib$(name).exp and lib$(name).lib file ...";\
     $(RM) $(G4LIBDIR)/lib$(name).exp;\
     $(RM) $(G4LIBDIR)/lib$(name).lib;\
@@ -71,5 +76,5 @@
             /out:$(G4LIBDIR)/lib$(name).lib;\
     $(RM) $(G4LIBDIR)/$(name).dll;\
-    echo "Building $(name).dll file ...";\
+    $(ECHO) "Building $(name).dll file ...";\
     link.exe /nologo /dll /out:$(G4LIBDIR)/$(name).dll \
              $(G4LIBDIR)/lib$(name).exp $(G4LIBDIR)/lib$(name).a \
@@ -81,12 +86,12 @@
     @libdir=`(cd $(@D);/bin/pwd)`;\
     cd $(G4TMP)/$(G4SYSTEM);\
-    echo "Building $(name).dumpbin file ...";\
+    $(ECHO) "Building $(name).dumpbin file ...";\
     $(RM) $(name).dumpbin;\
     dumpbin /symbols $(G4LIBDIR)/lib$(name).a > $(name).dumpbin;\
-    echo "Building $(name).def file ...";\
+    $(ECHO) "Building $(name).def file ...";\
     $(RM) $(name).def;\
     $(G4LIB)/$(G4SYSTEM)/win32def.exe $(name) < $(name).dumpbin > $(name).def;\
     $(RM) $(name).dumpbin;\
-    echo "Building lib$(name).exp and lib$(name).lib ...";\
+    $(ECHO) "Building lib$(name).exp and lib$(name).lib ...";\
     $(RM) $(G4LIBDIR)/lib$(name).exp;\
     $(RM) $(G4LIBDIR)/lib$(name).lib;\
@@ -94,5 +99,5 @@
             /out:$(G4LIBDIR)/lib$(name).lib;\
     $(RM) $(G4LIBDIR)/$(name).dll;\
-    echo "Building $(name).dll ...";\
+    $(ECHO) "Building $(name).dll ...";\
     link.exe /nologo /dll /out:$(G4LIBDIR)/$(name).dll \
              $(G4LIBDIR)/lib$(name).exp $(G4LIBDIR)/lib$(name).a \
Index: trunk/geant4/config/sys/WIN32-g++.gmk
===================================================================
--- trunk/geant4/config/sys/WIN32-g++.gmk	(revision 473)
+++ trunk/geant4/config/sys/WIN32-g++.gmk	(revision 483)
@@ -1,6 +1,6 @@
 #
-# ------ GNU/WIN32 CYGNUS ------   !!! not supported !!!
+# ------ GNU/WIN32 CYGWIN ------   !!! not supported !!!
 #                             Cygnus CygWin - gcc-3.2 and higher
-#                                     Windows 2000/XP
+#                                       Windows XP
 #
 # Stefano Agostinelli (agos001@pn.itnet.it) - IST Group, Genova
@@ -26,10 +26,16 @@
     CCFLAGS   += -fPIC
   endif
+
   G4RUNPATHOPTION := -Wl,-rpath 
+  SHEXT   := so
+  ECHO    := echo -e
+  GREP := /usr/bin/grep
+  SED  := /usr/bin/sed
+  CAT  := /usr/bin/cat
+  CUT  := /usr/bin/cut
+
   FC := g77
   FCFLAGS += -fno-automatic -fno-backslash -fno-second-underscore
   FCLIBS := -lg2c -lnsl
-  ECHO    := echo -e
-  SHEXT   := so
   ifndef X11FLAGS
     X11FLAGS  := -I/usr/include/X11/extensions -I/usr/include/X11