Index: trunk/geant4/config/G4UI_BUILD.gmk
===================================================================
--- trunk/geant4/config/G4UI_BUILD.gmk	(revision 483)
+++ trunk/geant4/config/G4UI_BUILD.gmk	(revision 486)
@@ -21,4 +21,12 @@
   INC_XM = 1
   CPPFLAGS += -DG4UI_BUILD_XM_SESSION
+endif
+
+ifdef G4UI_BUILD_QT_SESSION
+  G4UI_BUILD = 1
+  G4UI_BUILD_BASIC_SESSION = 1
+  G4INTY_BUILD_QT = 1
+  INC_QT   = 1
+  CPPFLAGS += -DG4UI_BUILD_QT_SESSION
 endif
 
@@ -48,4 +56,8 @@
    endif
 
+   ifdef G4UI_BUILD_QT_SESSION
+     G4UI_USE_QT = 1
+   endif
+
    ifdef G4UI_BUILD_XAW_SESSION
      G4UI_USE_XAW = 1
Index: trunk/geant4/config/G4UI_USE.gmk
===================================================================
--- trunk/geant4/config/G4UI_USE.gmk	(revision 483)
+++ trunk/geant4/config/G4UI_USE.gmk	(revision 486)
@@ -59,4 +59,12 @@
 endif
 
+ifdef G4UI_USE_QT
+  G4UI_USE  = 1
+  G4INTY_USE_QT = 1
+  INC_QT   = 1
+  LOAD_QT   = 1
+  CPPFLAGS += -DG4UI_USE_QT
+endif
+
 ifdef G4UI_USE_XAW
   G4UI_USE  = 1
Index: trunk/geant4/config/G4VIS_BUILD.gmk
===================================================================
--- trunk/geant4/config/G4VIS_BUILD.gmk	(revision 483)
+++ trunk/geant4/config/G4VIS_BUILD.gmk	(revision 486)
@@ -30,4 +30,10 @@
   CPPFLAGS += -DG4VIS_BUILD_OPENGLXM_DRIVER
 endif
+ifdef G4VIS_BUILD_OPENGLQT_DRIVER
+  G4VIS_BUILD_OPENGL_DRIVER = 1
+  G4INTY_BUILD_QT = 1
+  INC_QT   = 1
+  CPPFLAGS += -DG4VIS_BUILD_OPENGLQT_DRIVER
+endif
 ifdef G4VIS_BUILD_OPENGLX_DRIVER
   G4VIS_BUILD_OPENGL_DRIVER = 1
@@ -49,4 +55,9 @@
   G4INTY_BUILD_XT  = 1
   CPPFLAGS += -DG4VIS_BUILD_OIX_DRIVER
+endif
+ifdef G4VIS_BUILD_OIQT_DRIVER
+  G4VIS_BUILD_OI_DRIVER = 1
+  G4INTY_BUILDQT  = 1
+  CPPFLAGS += -DG4VIS_BUILD_OIQT_DRIVER
 endif
 ifdef G4VIS_BUILD_OIWIN32_DRIVER
@@ -87,4 +98,8 @@
   endif
 
+  ifdef G4VIS_BUILD_OPENGLQT_DRIVER
+    G4VIS_USE_OPENGLQT = 1
+  endif
+
   ifdef G4VIS_BUILD_OPENGL_DRIVER
     G4VIS_USE_OPENGL = 1
@@ -93,4 +108,8 @@
   ifdef G4VIS_BUILD_OIX_DRIVER
     G4VIS_USE_OIX = 1
+  endif
+
+  ifdef G4VIS_BUILD_OIQT_DRIVER
+    G4VIS_USE_OIQT = 1
   endif
 
Index: trunk/geant4/config/G4VIS_USE.gmk
===================================================================
--- trunk/geant4/config/G4VIS_USE.gmk	(revision 483)
+++ trunk/geant4/config/G4VIS_USE.gmk	(revision 486)
@@ -57,4 +57,10 @@
   LOAD_XM   = 1
 endif
+ifdef G4VIS_USE_OPENGLQT
+  G4VIS_USE_OPENGL = 1
+  CPPFLAGS += -DG4VIS_USE_OPENGLQT
+  INC_QT   = 1
+  LOAD_QT   = 1
+endif
 ifdef G4VIS_USE_OPENGLWIN32
   G4VIS_USE_OPENGL = 1
@@ -76,4 +82,10 @@
   INC_XM    = 1
   LOAD_XM   = 1
+endif
+ifdef G4VIS_USE_OIQT
+  G4VIS_USE_OI = 1
+  CPPFLAGS += -DG4VIS_USE_OIQT
+  INC_QT   = 1
+  LOAD_QT   = 1
 endif
 ifdef G4VIS_USE_OIWIN32
Index: trunk/geant4/config/interactivity.gmk
===================================================================
--- trunk/geant4/config/interactivity.gmk	(revision 483)
+++ trunk/geant4/config/interactivity.gmk	(revision 486)
@@ -63,4 +63,13 @@
 endif
 
+########################### Qt ###################
+
+ifdef INC_QT
+  CPPFLAGS += $(QTFLAGS)
+endif
+ifdef LOAD_QT
+  INTYLIBS += $(QTLIBS)
+endif
+
 ########################### and finally... #######################
 
@@ -69,6 +78,14 @@
 endif
 
+ifdef G4INTY_BUILD_QT
+  CPPFLAGS += -DG4INTY_BUILD_QT
+endif
+
 ifdef G4INTY_USE_XT
   CPPFLAGS += -DG4INTY_USE_XT
+endif
+
+ifdef G4INTY_USE_QT
+  CPPFLAGS += -DG4INTY_USE_QT
 endif
 
Index: trunk/geant4/config/sys/Darwin-g++.gmk
===================================================================
--- trunk/geant4/config/sys/Darwin-g++.gmk	(revision 483)
+++ trunk/geant4/config/sys/Darwin-g++.gmk	(revision 486)
@@ -43,7 +43,15 @@
 #   XMFLAGS   := -I/usr/X11R6/include          ##### some installations.
   endif
+  ifndef QTFLAGS
+    QTHOME    := /usr/local/Qt/4.2.2
+    QTFLAGS   := -I$(QTHOME)/lib/QtCore.framework/Versions/Current/Headers -I$(QTHOME)/lib/QtGui.framework/Versions/Current/Headers -I$(QTHOME)/lib/QtOpenGL.framework/Versions/Current/Headers -I$(QTHOME)/lib/QtSql.framework/Versions/Current/Headers -I$(QTHOME)/lib/QtXml.framework/Versions/Current/Headers -F$(QTHOME)/lib
+  endif
   ifndef XMLIBS
     XMLIBS    := -L/sw/lib -lXm -lXpm
 #   XMLIBS    := -L/usr/X11R6/lib -lXm -lXpm   ##### some installations.
+  endif
+  ifndef QTLIBS
+    QTHOME    := /usr/local/Qt/4.2.2
+    QTLIBS    := -F$(QTHOME)/lib -framework QtCore -framework QtGui -framework QtOpenGL -framework QtSql -framework QtXml
   endif
   ifndef XAWFLAGS