Index: /trunk/geant4/interfaces/basic/src/G4UIQt.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 497)
+++ /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 498)
@@ -102,5 +102,4 @@
   fMainWindow->setWindowTitle( "G4UI Session" ); 
 
-  QWidget* central = new QWidget();
 
   /*
@@ -112,76 +111,49 @@
     treeview->setMaximumSize(800,800); 
   */
-  QSplitter *splitter = new QSplitter(Qt::Vertical,central);
-  QTextEdit *textedit = new QTextEdit;
-  //  textedit->setMaximumSize(800,800); 
+  QSplitter *splitter = new QSplitter(Qt::Vertical);
+  fTextArea = new QTextEdit();
   QPushButton *clearButton = new QPushButton("clear");
+  connect(clearButton, SIGNAL(clicked()), SLOT(clearButtonCallback()));
+
+  fCommandHistoryArea = new QTextEdit();
+  fCommandLabel = new QLabel();
+
+  fCommandArea = new QLineEdit();
+  connect(fCommandArea, SIGNAL(returnPressed()), SLOT(commandEnteredCallback()));
+
+  fTextArea->setReadOnly(true);
+  fCommandHistoryArea->setReadOnly(true);
+
   
-  QVBoxLayout *layout = new QVBoxLayout;
-  layout->addWidget(textedit);
-  layout->addWidget(clearButton);
-
-  splitter->addWidget(textedit);
-  splitter->addWidget(clearButton);
-  splitter->setLayout(layout);
-  //  central->setLayout(layout);
-  /*
-    QSizePolicy *test = new QSizePolicy(QSizePolicy::Fixed,QSizePolicy::Fixed);
-    if (splitter->sizePolicy().horizontalPolicy () == test->horizontalPolicy () ) {
-    printf ("splitter H is fixed\n");
-    }
-    
-    printf("list SP H: %d\n",listview->sizePolicy().horizontalPolicy ());
-    printf("list SP V: %d\n",listview->sizePolicy().verticalPolicy ());
-    printf("tree SP H: %d\n",treeview->sizePolicy().horizontalPolicy ());
-    printf("tree SP V: %d\n",treeview->sizePolicy().verticalPolicy ());
-    printf("text SP H: %d\n",textedit->sizePolicy().horizontalPolicy ());
-    printf("text SP V: %d\n",textedit->sizePolicy().verticalPolicy ());
-    
-    splitter->addWidget(listview);
-    splitter->addWidget(treeview);
-    splitter->addWidget(textedit);
-  */
+  QVBoxLayout *layoutSplitter = new QVBoxLayout;
+
+  QWidget* topWidget = new QWidget();
+  QVBoxLayout *layoutTop = new QVBoxLayout;
+
+  QWidget* bottomWidget = new QWidget();
+  QVBoxLayout *layoutBottom = new QVBoxLayout;
+
+
+  layoutTop->addWidget(fTextArea);
+  layoutTop->addWidget(clearButton);
+  topWidget->setLayout(layoutTop);
+
+  layoutBottom->addWidget(fCommandHistoryArea);
+  layoutBottom->addWidget(fCommandLabel);
+  layoutBottom->addWidget(fCommandArea);
+  bottomWidget->setLayout(layoutBottom);
+
+
+  layoutSplitter->addWidget(topWidget);
+  layoutSplitter->addWidget(bottomWidget);
+  splitter->setLayout(layoutSplitter);
+
   fMainWindow->setCentralWidget(splitter);
-  //  fMainWindow->setCentralWidget(central);
-
-  //////////////
-//  fMainWindow->resize(600,400);
-//   QWidget* central = new QWidget();
-//   QWidget* topWidget = new QWidget();
-//   QWidget* bottomWidget = new QWidget();
-//   QVBoxLayout* vBox1 = new QVBoxLayout(topWidget);
-//   QVBoxLayout* vBox2 = new QVBoxLayout(bottomWidget);
-
-//   QSplitter *splitter = new QSplitter(Qt::Vertical);
-//   fTextArea = new QTextEdit();
-//   fCommandHistoryArea = new QTextEdit();
-//   fCommandLabel = new QLabel();
-
-//   QPushButton *clearButton = new QPushButton("clear");
-//   connect(clearButton, SIGNAL(clicked()), SLOT(clearButtonCallback()));
-
-//   fTextArea->setReadOnly(true);
-//   fCommandHistoryArea->setReadOnly(true);
-
-// //  QMenu *menuFile = new QMenu("File");
-// //  fMainWindow->menuBar()->addMenu(menuFile); 
-
-//   fCommandArea = new QLineEdit();
-//   connect(fCommandArea, SIGNAL(returnPressed()), SLOT(commandEnteredCallback()));
-
-//   vBox1->addWidget(fTextArea);
-//   vBox1->addWidget(clearButton);
-//   vBox1->setStretchFactor(fTextArea,1);
-
-//   vBox2->addWidget(fCommandHistoryArea);
-//   vBox2->addWidget(fCommandLabel);
-//   vBox2->addWidget(fCommandArea);
-//   vBox2->setStretchFactor(fCommandHistoryArea,1);
-
-//   splitter->addWidget(topWidget);
-//   splitter->addWidget(bottomWidget);
-
-//   fMainWindow->setCentralWidget(central);
-////////////////
+
+
+  //  QMenu *menuFile = new QMenu("File");
+  //  fMainWindow->menuBar()->addMenu(menuFile); 
+
+
 
 //  QMainWindow top = (QMainWindow)interactorManager->GetMainInteractor();