Index: /trunk/geant4/interfaces/basic/include/G4UIQt.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 516)
+++ /trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 517)
@@ -108,4 +108,6 @@
   void expandHelpItem (QTreeWidgetItem *,G4UIcommand*);
 
+  G4bool GetHelpChoice(G4int&) ;// have to be implemeted because we heritate from G4VBasicShell
+  void ExitHelp();// have to be implemeted because we heritate from G4VBasicShell
 
 private:
Index: /trunk/geant4/interfaces/basic/include/G4UIQtLineEdit.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4UIQtLineEdit.hh	(revision 517)
+++ /trunk/geant4/interfaces/basic/include/G4UIQtLineEdit.hh	(revision 517)
@@ -0,0 +1,60 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4UIQt.hh,v 1.13 2007/06/15 $
+//
+#ifndef G4UIQtLineEdit_h
+#define G4UIQtLineEdit_h 
+
+#if defined(G4UI_BUILD_QT_SESSION) || defined(G4UI_USE_QT)
+
+#include <QtGui/qlineedit.h>
+#include <QEvent>
+
+#include "G4UIQt.hh"
+
+
+// Class description :
+//
+// Class description - end :
+
+class G4UIQtLineEdit : public QLineEdit {
+
+public: // With description
+  G4UIQtLineEdit(G4UIQt *);
+  ~G4UIQtLineEdit();
+
+  void keyPressEvent(QKeyEvent *e);
+
+private:
+  G4UIQt * fParent;
+
+};
+
+#endif
+
+#endif
+
Index: /trunk/geant4/interfaces/basic/src/G4UIQt.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 516)
+++ /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 517)
@@ -583,4 +583,21 @@
 }
 
+/***************************************************************************/
+G4bool G4UIQt::GetHelpChoice(
+ G4int& aInt
+)
+/***************************************************************************/
+/*!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!*/
+{
+  printf("G4UIQt::GetHelpChoice SHOULD NEVER GO HERE");
+}
+/***************************************************************************/
+void G4UIQt::ExitHelp(
+)
+/***************************************************************************/
+/*!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!*/
+{
+  printf("G4UIQt::ExitHelp SHOULD NEVER GO HERE");
+}
 
 
Index: /trunk/geant4/interfaces/basic/src/G4UIQtLineEdit.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIQtLineEdit.cc	(revision 517)
+++ /trunk/geant4/interfaces/basic/src/G4UIQtLineEdit.cc	(revision 517)
@@ -0,0 +1,91 @@
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4UIQt.cc,v 1.14 2007/06/15 11:09:49 $
+// GEANT4 tag $Name: geant4-08-01 $
+//
+// L. Garnier
+
+
+#ifdef G4UI_BUILD_QT_SESSION
+
+#include "G4UIQtLineEdit.hh"
+#include <QtGui/qevent.h>
+// #include "G4Types.hh"
+
+// #include <string.h>
+
+// #include "G4UIQt.hh"
+// #include "G4UImanager.hh"
+// #include "G4StateManager.hh"
+// #include "G4UIcommandTree.hh"
+// #include "G4UIcommandStatus.hh"
+
+// #include "G4UIQtLineEdit.hh"
+
+// #include "G4Qt.hh"
+
+// #include <QtGui/qapplication.h>
+// #include <QtGui/qwidget.h>
+// #include <QtGui/qmenu.h>
+// #include <QtGui/qmenubar.h>
+// #include <QtGui/qboxlayout.h>
+// #include <QtGui/qpushbutton.h>
+// #include <QtGui/qlabel.h>
+// #include <QtGui/qsplitter.h>
+// #include <QtGui/qscrollbar.h>
+// #include <QtGui/qdialog.h>
+
+// #include <stdlib.h>
+
+G4UIQtLineEdit::G4UIQtLineEdit (
+ G4UIQt * parent
+)
+
+/***************************************************************************/
+/*!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!*/
+{
+  fParent = parent;
+}
+
+void G4UIQtLineEdit::keyPressEvent(QKeyEvent *e) {
+  if (e->key() == (Qt::Key_Down)) {
+    printf("****************KEY PRESSED DOWN*****\n");
+  } else if (e->key() == (Qt::Key_PageDown)) {
+    printf("****************KEY PRESSED PAGE DOWN*****\n");
+  } else if (e->key() == (Qt::Key_Up)) {
+    printf("****************KEY PRESSED UP*****\n");
+  } else if (e->key() == (Qt::Key_PageUp)) {
+    printf("****************KEY PRESSED PAGE UP*****\n");
+  } else {
+    QLineEdit::keyPressEvent(e);
+  }
+}
+
+G4UIQtLineEdit::~G4UIQtLineEdit (
+)
+{
+}
+#endif